assign payment method.md
Assign payment method
Management API · Projects
POST https://app.mk.io/api/v1/projects/{project_name}/paymentMethod
Replace the payment method for this project and activate the project if it is not already active. It is not possible to remove the payment method from a project.
RBAC Capability Required: core.subscription.create
Authentication
Authorizationheader — Bearer authentication of the formBearer <token>.
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
project_name |
string | Yes | — |
Request body
Content type: application/json
paymentMethodId· string · Required · format: uuid — Payment Method identity
Example request
curl -X POST "https://app.mk.io/api/v1/projects/{project_name}/paymentMethod" \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"paymentMethodId": "00000000-0000-0000-0000-000000000000"
}'
Responses
200 — The payment method was updated
No response body.
400 — Bad Request
error· object · Required — Pertinent information about the errorcode· string · Required — The error code.detail· string · Required — The error message.extraDetail· map from strings to any · Optional — Extra information regarding this error.[any key]· any — map of additional properties
ref· string · Required — A reference to the request that caused the error.status· integer · Required — The HTTP status code
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
401 — Unauthorized
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
403 — Forbidden
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
404 — Not Found
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
429 — Too Many Requests
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}
500 — Internal Server Error
Example:
{
"error": {
"code": "string",
"detail": "string",
"extraDetail": {
"key": null
}
},
"ref": "string",
"status": 0
}